%{!?buildid: %{expand: %%define buildid 3}}
%define     build_dir               %{_builddir}/%{name}-%{version}
%define     install_dir             /opt/storage-connect
%define     sharedoc_dir            /usr/share/doc
%define     plugin_dir              /opt/storage-connect/plugins

Name:       osc-plugin-manager
Vendor:     Oracle America
Version:    3.4.7
Release:    %{buildid}%{?dist}
Summary:    Oracle Storage Connect Plugin Infrastructure
License:    GPLv2 / Oracle Specification, Development and Distribution License
Group:      Storage/StorageConnect
URL:        http://oss.oracle.com/
Source:     %{name}-%{version}.tar.bz2 
BuildRoot:  %{_tmppath}/%{name}-%{version}
BuildArch:  noarch
Requires:   python >= 2.7
Requires:   sg3_utils >= 1.37
Requires:   lsscsi

%description
Oracle Storage Connect plug-in infrastructure required by the Storage Connect
Plugins.

%package devel
Summary:    Oracle Storage Connect Plugin Development
Group:      Storage/StorageConnect/Development
Requires:   osc-plugin-manager

%description devel
Oracle Storage Connect plugin development documentation and samples.

%prep
%setup -q

%build

%install
rm -fr %{buildroot}/*
install -d -m0755 %{buildroot}/%{install_dir}
install -d -m0755 %{buildroot}/%{install_dir}/bin
install -d -m0755 %{buildroot}/%{install_dir}/docs
install -d -m0755 %{buildroot}/%{install_dir}/plugins
install -d -m0755 %{buildroot}/%{install_dir}/samples
install -d -m0755 %{buildroot}/%{install_dir}/tests
install -d -m0755 %{buildroot}/%{sharedoc_dir}/%{name}
install -d -m0755 %{buildroot}/%{sharedoc_dir}/%{name}-devel
install -d -m0755 %{buildroot}/%{plugin_dir}
cp %{build_dir}/usrshare/COPYING  %{buildroot}/%{sharedoc_dir}/%{name}/.
cp %{build_dir}/usrshare/COPYING  %{buildroot}/%{sharedoc_dir}/%{name}-devel/.
rm -fr %{build_dir}/usrshare
rm -f %{build_dir}/Makefile
rm -f %{build_dir}/%{name}.spec
mv %{build_dir}/*	%{buildroot}/%{install_dir}/.
# Do not package the files to support for solaris build
rm -fr %{buildroot}/%{install_dir}/solaris
rm -f %{buildroot}/%{install_dir}/san_solaris.py*

%clean
rm -fr %{buildroot}

%files devel
%defattr(0755, root, root, 0755)
%attr(0755, root, root) %{install_dir}/bin/PluginRunner.py*
%{install_dir}/docs
%{install_dir}/samples
%{install_dir}/tests
%doc %{sharedoc_dir}/%{name}-devel/COPYING
%docdir %{install_dir}/docs

%files
%defattr(0755, root, root, 0755)
%attr(0755, root, root) %{install_dir}/PluginManager.py*
%attr(0755, root, root) %{install_dir}/OSC*.py*
%attr(0755, root, root) %{install_dir}/PyEnum.py*
%attr(0755, root, root) %{install_dir}/san_linux.py*
%attr(0755, root, root) %{install_dir}/bin/announce*
%attr(0755, root, root) %{install_dir}/plugins/*
%doc %{sharedoc_dir}/%{name}/COPYING

%changelog
* Tue Nov 03 2020 Vamsi Krishna Inguva <vamsi.inguva@@oracle.com>
- Add ability to build rpm via Makefile, osc-plugin-manager.spec file for OL7U8 

* Wed Feb 3 2010 Wiekus Beukes <wiekus.beukes@oracle.com>
- Initial packaging
